# Poquita

My setup of [Poca](https://github.com/brokkr/poca/).

My workflow is managing the podcast list (and config and provisioning and
deployment scripts) via git, using
[gitreceive](https://github.com/progrium/gitreceive/) to deploy new versions to
the downloading machine (syncing files locally when afterward).

## Running Poca locally

`tox`

## Running poca-subscribe locally

`tox -e poca-subscribe -- {add,delete,list,toggle} ...`

## Provision a machine for git push

`tox -e ansible -- -i xbmc.shore.co.il,`

## Deploying a new version

    git remote add kodi git@xbmc.shore.co.il:poquita.git
    git push kodi

## Running [pre-commit](http://pre-commit.com/)

`tox -e pre-commit`
